# AmoebaVdwForce Class Reference

This class implements a buffered 14-7 potential used to model van der Waals forces. More...

Inheritance diagram for AmoebaVdwForce:

List of all members.

## Public Member Functions

def | getNumParticles
| getNumParticles(self) -> int
def | setParticleParameters
| setParticleParameters(self, int particleIndex, int parentIndex, double sigma, double epsilon, double reductionFactor)
def | getParticleParameters
| getParticleParameters(self, int particleIndex)
def | addParticle
| addParticle(self, int parentIndex, double sigma, double epsilon, double reductionFactor) -> int
def | setSigmaCombiningRule
| setSigmaCombiningRule(self, string sigmaCombiningRule)
def | getSigmaCombiningRule
| getSigmaCombiningRule(self) -> string
def | setEpsilonCombiningRule
| setEpsilonCombiningRule(self, string epsilonCombiningRule)
def | getEpsilonCombiningRule
| getEpsilonCombiningRule(self) -> string
def | getUseDispersionCorrection
| getUseDispersionCorrection(self) -> bool
def | setUseDispersionCorrection
| setUseDispersionCorrection(self, bool useCorrection)
def | setParticleExclusions
| setParticleExclusions(self, int particleIndex, vectori exclusions)
def | getParticleExclusions
| getParticleExclusions(self, int particleIndex)
def | setCutoff
| setCutoff(self, double cutoff)
def | getCutoff
| getCutoff(self) -> double
def | getNonbondedMethod
| getNonbondedMethod(self) -> NonbondedMethod
def | setNonbondedMethod
| setNonbondedMethod(self, NonbondedMethod method)
def | updateParametersInContext
| updateParametersInContext(self, Context context)
def | __init__
| __init__(self) -> AmoebaVdwForce __init__(self, AmoebaVdwForce other) -> AmoebaVdwForce
def | __del__
| __del__(self)

## Public Attributes

| this

## Static Public Attributes

| NoCutoff = _openmm.AmoebaVdwForce_NoCutoff
| CutoffPeriodic = _openmm.AmoebaVdwForce_CutoffPeriodic

## Detailed Description

This class implements a buffered 14-7 potential used to model van der Waals forces.

To use it, create an AmoebaVdwForce object then call addParticle() once for each particle. After a particle has been added, you can modify its force field parameters by calling setParticleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

A unique feature of this class is that the interaction site for a particle does not need to be exactly at the particle's location. Instead, it can be placed a fraction of the distance from that particle to another one. This is typically done for hydrogens to place the interaction site slightly closer to the parent atom. The fraction is known as the "reduction factor", since it reduces the distance from the parent atom to the interaction site.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self) -> AmoebaVdwForce __init__(self, AmoebaVdwForce other) -> AmoebaVdwForce

Create an Amoeba VdwForce.

def addParticle | ( |  | self,
|  |  | args |
| ) |  |  |

addParticle(self, int parentIndex, double sigma, double epsilon, double reductionFactor) -> int

Add the force field parameters for a vdw particle.

Parameters:

  | parentIndex | the index of the parent particle
  | sigma | vdw sigma
  | epsilon | vdw epsilon
  | reductionFactor | the fraction of the distance along the line from the parent particle to this particle at which the interaction site should be placed

def getCutoff | ( |  | self | ) |

getCutoff(self) -> double

Get the cutoff distance.

def getEpsilonCombiningRule | ( |  | self | ) |

getEpsilonCombiningRule(self) -> string

Get epsilon combining rule

def getNonbondedMethod | ( |  | self | ) |

getNonbondedMethod(self) -> NonbondedMethod

Get the method used for handling long range nonbonded interactions.

def getNumParticles | ( |  | self | ) |

getNumParticles(self) -> int

Get the number of particles

def getParticleExclusions | ( |  | self,
|  |  | args |
| ) |  |  |

getParticleExclusions(self, int particleIndex)

Get exclusions for specified particle

Parameters:

  | particleIndex | particle index
  | exclusions | vector of exclusions

def getParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getParticleParameters(self, int particleIndex)

Get the force field parameters for a vdw particle.

Parameters:

  | particleIndex | the particle index
  | parentIndex | the index of the parent particle
  | sigma | vdw sigma
  | epsilon | vdw epsilon
  | reductionFactor | the fraction of the distance along the line from the parent particle to this particle at which the interaction site should be placed

def getSigmaCombiningRule | ( |  | self | ) |

getSigmaCombiningRule(self) -> string

Get sigma combining rule

def getUseDispersionCorrection | ( |  | self | ) |

getUseDispersionCorrection(self) -> bool

Get whether to add a contribution to the energy that approximately represents the effect of VdW interactions beyond the cutoff distance. The energy depends on the volume of the periodic box, and is only applicable when periodic boundary conditions are used. When running simulations at constant pressure, adding this contribution can improve the quality of results.

def setCutoff | ( |  | self,
|  |  | args |
| ) |  |  |

setCutoff(self, double cutoff)

Set the cutoff distance.

def setEpsilonCombiningRule | ( |  | self,
|  |  | args |
| ) |  |  |

setEpsilonCombiningRule(self, string epsilonCombiningRule)

Set epsilon combining rule

Parameters:

  | epsilonCombiningRule | epsilon combining rule: 'ARITHMETIC', 'GEOMETRIC'. 'HARMONIC', 'HHG'

def setNonbondedMethod | ( |  | self,
|  |  | args |
| ) |  |  |

setNonbondedMethod(self, NonbondedMethod method)

Set the method used for handling long range nonbonded interactions.

def setParticleExclusions | ( |  | self,
|  |  | args |
| ) |  |  |

setParticleExclusions(self, int particleIndex, vectori exclusions)

Set exclusions for specified particle

Parameters:

  | particleIndex | particle index
  | exclusions | vector of exclusions

def setParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setParticleParameters(self, int particleIndex, int parentIndex, double sigma, double epsilon, double reductionFactor)

Set the force field parameters for a vdw particle.

Parameters:

  | particleIndex | the particle index
  | parentIndex | the index of the parent particle
  | sigma | vdw sigma
  | epsilon | vdw epsilon
  | reductionFactor | the fraction of the distance along the line from the parent particle to this particle at which the interaction site should be placed

def setSigmaCombiningRule | ( |  | self,
|  |  | args |
| ) |  |  |

setSigmaCombiningRule(self, string sigmaCombiningRule)

Set sigma combining rule

Parameters:

  | sigmaCombiningRule | sigma combining rule: 'ARITHMETIC', 'GEOMETRIC'. 'CUBIC-MEAN'

def setUseDispersionCorrection | ( |  | self,
|  |  | args |
| ) |  |  |

setUseDispersionCorrection(self, bool useCorrection)

Set whether to add a contribution to the energy that approximately represents the effect of VdW interactions beyond the cutoff distance. The energy depends on the volume of the periodic box, and is only applicable when periodic boundary conditions are used. When running simulations at constant pressure, adding this contribution can improve the quality of results.

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(self, Context context)

Update the per-particle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setParticleParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-particle parameters. All other aspects of the Force (the nonbonded method, the cutoff distance, etc.) are unaffected and can only be changed by reinitializing the Context.

## Member Data Documentation

CutoffPeriodic = _openmm.AmoebaVdwForce_CutoffPeriodic`[static]`

NoCutoff = _openmm.AmoebaVdwForce_NoCutoff`[static]`

this

The documentation for this class was generated from the following file:

- openmm.py